Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# SienaPull Class Reference

`#include <Siena.h>`

Inheritance diagram for SienaPull:

List of all members.

## Public Member Functions
virtual void | subscribe (const Filter &f)=0
virtual void | subscribe (const Pattern &p)
virtual void | unsubscribe (const Filter &f)=0
virtual void | unsubscribe (const Pattern &p)
virtual void | unsubscribe ()=0
virtual void | suspend ()=0
virtual void | resume ()=0
virtual Notification * | get_notification ()=0
virtual NotificationSequence * | get_notification_sequence ()=0

## Detailed Description

synchronous ("pull") interface to Siena

this is a complete interface to the Siena service. This interface uses the "pull" style to notify subscribers. In practice, subscribers receive notifications by polling the service, through the `get_notification()` method of this interface. Notifications are therefore synchronous with respect to the execution of subscribers. Subscriptions and unsubscriptions are global to each `SienaPull` object.

## Member Function Documentation

virtual void SienaPull::subscribe | ( | const Filter & | f | ) | `[pure virtual]`

subscribes for a class of notifications

Implemented in ThinClient.

virtual void SienaPull::subscribe | ( | const Pattern & | p | ) | `[virtual]`

subscribes for a class of sequences of notifications

virtual void SienaPull::unsubscribe | ( | const Filter & | f | ) | `[pure virtual]`

cancels subscriptions to notifications

Implemented in ThinClient.

virtual void SienaPull::unsubscribe | ( | const Pattern & | p | ) | `[virtual]`

cancels subscriptions to sequences notifications

virtual void SienaPull::unsubscribe | ( |  | ) | `[pure virtual]`

cancel all subscriptions

Implemented in ThinClient.

virtual Notification* SienaPull::get_notification | ( |  | ) | `[pure virtual]`

receives a notification

receives a notification. This method is synchronous, meaning that it suspends waiting for incoming notifications.

Implemented in ThinClient.

The documentation for this class was generated from the following file:

- Siena.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga